clang 8.0.0

Functions
HeaderIncludeGen.cpp File Reference
`#include "clang/Frontend/DependencyOutputOptions.h"`
`#include "clang/Frontend/Utils.h"`
`#include "clang/Basic/SourceManager.h"`
`#include "clang/Frontend/FrontendDiagnostic.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/raw_ostream.h"`
Include dependency graph for HeaderIncludeGen.cpp:

Go to the source code of this file.

## Functions
static void | PrintHeaderInfo (raw_ostream *OutputFile, StringRef Filename, bool ShowDepth, unsigned CurrentIncludeDepth, bool MSStyle)

## Function Documentation

## ◆ PrintHeaderInfo()

static void PrintHeaderInfo | ( | raw_ostream * | OutputFile,
|  | StringRef | Filename,
|  | bool | ShowDepth,
|  | unsigned | CurrentIncludeDepth,
|  | bool | MSStyle
| ) |  |
| static

Definition at line 52 of file HeaderIncludeGen.cpp.

References clang::Lexer::Stringify().

Referenced by clang::AttachHeaderIncludeGen().